BeanPropertyFilter
Date: 2016-12-04

com.fasterxml.jackson.databind.ser

## Interface BeanPropertyFilter

- All Known Implementing Classes:
    SimpleBeanPropertyFilter, SimpleBeanPropertyFilter.FilterExceptFilter, SimpleBeanPropertyFilter.SerializeExceptFilter

  Deprecated.
  Since 2.3: use `PropertyFilter` instead.

      @Deprecated
      public interface BeanPropertyFilter

  Interface that defines API for filter objects use (as configured using `JsonFilter`) for filtering bean properties to serialize.

  Starting with version 2.3 this class is deprecated; use `PropertyFilter` instead.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `depositSchemaProperty(BeanPropertyWriter writer, JsonObjectFormatVisitor objectVisitor, SerializerProvider provider)` Deprecated. Method called by `BeanSerializer` to let the filter determine whether, and in what form the given property exist within the parent, or root, schema.
    `void` | `depositSchemaProperty(BeanPropertyWriter writer, ObjectNode propertiesNode, SerializerProvider provider)` Deprecated. Since 2.3: new code should use the alternative `depositSchemaProperty` method
    `void` | `serializeAsField(java.lang.Object pojo, com.fasterxml.jackson.core.JsonGenerator jgen, SerializerProvider prov, BeanPropertyWriter writer)` Deprecated. Method called by `BeanSerializer` to let filter decide what to do with given bean property value: the usual choices are to either filter out (i.e.

- - ### Method Detail

    - #### serializeAsField

          void serializeAsField(java.lang.Object pojo,
                              com.fasterxml.jackson.core.JsonGenerator jgen,
                              SerializerProvider prov,
                              BeanPropertyWriter writer)
                                throws java.lang.Exception

      Deprecated.
      Method called by `BeanSerializer` to let filter decide what to do with given bean property value: the usual choices are to either filter out (i.e. do nothing) or write using given `BeanPropertyWriter`, although filters can choose other to do something different altogether.

      Typical implementation is something like:

           if (include(writer)) {
                writer.serializeAsField(pojo, jgen, prov);
           }

      Parameters:
        `pojo` - Object that contains property value to serialize
        `jgen` - Generator use for serializing value
        `prov` - Provider that can be used for accessing dynamic aspects of serialization processing
        `writer` - Default bean property serializer to use
      Throws:
        `java.lang.Exception`

    - #### depositSchemaProperty

          @Deprecated
          void depositSchemaProperty(BeanPropertyWriter writer,
                                              ObjectNode propertiesNode,
                                              SerializerProvider provider)
                                     throws JsonMappingException

      Deprecated. Since 2.3: new code should use the alternative `depositSchemaProperty` method
      Method called by `BeanSerializer` to let the filter determine whether, and in what form the given property exist within the parent, or root, schema. Filters can omit adding the property to the node, or choose the form of the schema value for the property.

      Typical implementation is something like:

           if (include(writer)) {
                writer.depositSchemaProperty(propertiesNode, provider);
           }

      Parameters:
        `writer` - Bean property writer to use to create schema value
        `propertiesNode` - Node which the given property would exist within
        `provider` - Provider that can be used for accessing dynamic aspects of serialization processing
      Throws:
        `JsonMappingException`
      Since:
        2.1

    - #### depositSchemaProperty

          void depositSchemaProperty(BeanPropertyWriter writer,
                                   JsonObjectFormatVisitor objectVisitor,
                                   SerializerProvider provider)
                                     throws JsonMappingException

      Deprecated.
      Method called by `BeanSerializer` to let the filter determine whether, and in what form the given property exist within the parent, or root, schema. Filters can omit adding the property to the node, or choose the form of the schema value for the property

      Typical implementation is something like:

           if (include(writer)) {
                writer.depositSchemaProperty(objectVisitor, provider);
           }

      Parameters:
        `writer` - Bean property serializer to use to create schema value
        `objectVisitor` - JsonObjectFormatVisitor which should be aware of the property's existence
        `provider` - Provider that can be used for accessing dynamic aspects of serialization processing
      Throws:
        `JsonMappingException`
      Since:
        2.1